System 2.0.0.0 4.0.0.0 System.Object System.Collections.IList

The class is used by the interface.

The is read-only once constructed.

Represents a collection of objects.

- Constructor
  2.0.0.0
  4.0.0.0

  The is read-only once constructed.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The is read-only once constructed.

  Example

  Initializes a new instance of the class with the specified array of objects.

  The array of objects to be contained in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines if the contains a specific value.

  true if the is found in the collection; otherwise, false.

  The to locate in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the contents of the collection to the specified array, starting at the specified destination array index.

  The destination array for the items copied from the collection. The index of the destination array at which copying begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of items in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the index of the specified item in the collection.

  The index of if found in the list; otherwise, -1.

  The to locate in the collection.
- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListSortDescription `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property always returns true, because once constructed, the collection is read-only. This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets a value indicating whether access to the collection is thread safe.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  This implementation returns the current instance of the , because this collection, once constructed, does not allow public access to the underlying list.

  For more information on the method, see the property.

  Gets the current instance that can be used to synchronize access to the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Gets a that can be used to iterate through the collection.

  An that can be used to iterate through the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Because the class implements the interface, it must have an method. However, because the class represents a read-only collection, adding items to the collection is an invalid operation.

  Adds an item to the collection.

  The position into which the new element was inserted.

  The item to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  Because the class implements the interface, it must have a method. However, because the class represents a read-only collection, clearing items from the collection is an invalid operation.

  Removes all items from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Because the class implements the interface, it must have a method. However, because the class represents a read-only collection, inserting items into the collection is an invalid operation.

  Inserts an item into the collection at a specified index.

  The zero-based index of the to get or set in the collection The item to insert into the collection.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The collection is read-only once constructed and will, therefore, always have a fixed size.

  Gets a value indicating whether the collection has a fixed size.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The is read-only once constructed. A collection that is read-only does not allow the addition, removal, or modification of elements after the collection is created.

  Gets a value indicating whether the collection is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Because the class implements the interface, it must have a method. However, because the class represents a read-only collection, removing items from the collection is an invalid operation.

  Removes the first occurrence of an item from the collection.

  The item to remove from the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Because the class implements the interface, it must have a method. However, because the class represents a read-only collection, removing items from the collection is an invalid operation.

  Removes an item from the collection at a specified index.

  The zero-based index of the to remove from the collection